Playready problems in Silverlight 5.1.10411.0

May 25, 2012 at 2:37 PM

I am looking for some guidance regarding how to control the Silverlight version being installed.

We are in the situation that the latest Silverlight version have some bug for some users when they tries to play PlayReady protected content.
That bug is introduced in the new version. And we can get it to work for the users by uninstalling Silverlight and installing version 5.0.61118.0.

The problem is that we can not provide the users with an install link for version 5.0.61118.0.
we state that version number both as minimum required and as the version number when doing silverlight install using the Silverlight.js.
But it installs the new (bad) version anyway.

This is bad. Because it is very difficult for our customer support to downgrade for the user. And many users will never call for help but just stop using the service.

Do anybody know of a way to control the exact version being installed?


Blog about the issue:

May 30, 2012 at 1:57 PM

Who is your PlayReady provider?

The problem is: they have enabled Output Content Protection by default in the latest Silverlight runtime which blocks DRM protected contents on lots of machines.

The solution is 'simple' if you have access to the PR server: you have to update the PlayReady server to the latest version (1.5.1/2.1 I think), and add some parameters to your licenses to request no OCP on your Silverlight licenses.

You can also ask all your clients to update their graphic drivers, that fixed some cases for us.

May 30, 2012 at 2:05 PM

Hi Julien

Thank you very much for your reply.
We have identified exactly what you describe and are working on updating the PlayReady server.

The issue around graphic drivers was new to me. That is also good to know.

May 31, 2012 at 10:00 AM

Thanks Julien. I didn't even know that. :)

- Mike